Package org.pushingpixels.lafwidget.ant

# Class AugmentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pushingpixels.lafwidget.ant.AugmentException

All Implemented Interfaces:
  `Serializable`

public class AugmentException extends RuntimeException
Exception thrown when augmentation failed.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AugmentException(String message)`
Creates a new exception.
`AugmentException(String message, Throwable cause)`
Creates a new exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AugmentException

public AugmentException(String message, Throwable cause)
Creates a new exception.

Parameters:
  `message` - Message.
  `cause` - Cause.

### AugmentException

public AugmentException(String message)
Creates a new exception.

Parameters:
  `message` - Message.